Results 1 to 5 of 5

Thread: Python -- Import error from GASP

  1. #1
    Join Date
    Jun 2008
    Location
    Madrid
    Posts
    81

    Default Python -- Import error from GASP

    Hello
    I used ez_install to install GASP, and didn't receive any errors during the process. In python when I try to import GASP, however:

    Code:
    >>> from gasp import *Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
    ImportError: No module named gasp
    when I look in sys.path,
    I see ...'/usr/local/lib64/python2.5/site-packages', '/usr/local/lib64/python2.5/site-packages/gasp-0.4.5-py2.5.egg'...

    Any ideas how to resolve this? Thank you.
    SuSE-12.3, Lenovo G780, 3.7.10-1.16-desktop

  2. #2
    Join Date
    Jun 2008
    Location
    Canada
    Posts
    52

    Default Re: Python -- Import error from GASP

    I do not have GASP installed but what happens when you import the whole module like:

    from imaplib import *

    or

    import sys

    Are you sure you have the module name correct?

  3. #3
    Join Date
    Jun 2008
    Location
    Canada
    Posts
    52

    Default Re: Python -- Import error from GASP

    I downloaded gasp from the launchpad site and it will not install on opensuse 11:

    /usr/local/gasp # python ./setup.py install
    running install
    error: invalid Python installation: unable to open /usr/lib/python2.5/config/Makefile (No such file or directory)

    Since GASP is a simplified version of pygame just use pygame.

    If you are trying to learn python here are some tutorials to help:

    Learn Python wiki / HowToStart
    Python Tutorial
    Python Tutorials, more than 300, updated September 7, 2008, and carefully sorted by topic and category

    Good Luck

  4. #4
    ghe_daniel NNTP User

    Default Re: Python -- Import error from GASP

    Hello,

    install python-devel package first(with yast).

  5. #5
    Join Date
    Jun 2008
    Location
    Madrid
    Posts
    81

    Default Re: Python -- Import error from GASP

    yep! I forgot to update this when I realized I didn't have that installed. That was exactly how I resolved everything.

    Thanks.
    SuSE-12.3, Lenovo G780, 3.7.10-1.16-desktop

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •